Client {
  Name           = BaculaDirectorClient
  Password       = "iamnotacrook"
  Address        = localhost
  Catalog        = MyCatalog
  File Retention = 60 days            # 60 days
  Job Retention = 6 months            # six months
  AutoPrune = yes                     # Prune expired Jobs/Files
}

#Job {
#  Name     = "MyFirstJob"
#  Client   = BaculaDirectorClient
#  Type     = "Backup"
#  FileSet  = "MyFirstFileSet"
#  Storage  = Iron-Autochanger
#  Schedule = MyFirstSchedule
#  Messages = JoesMail
# 
#  Pool = FullFile # required parameter for all Jobs, despite what appears in the next few lines
# 
#  Full         Backup Pool = FullFile
#  #Differential Backup Pool = DiffFile
#  Incremental  Backup Pool = IncrFile
#}

Job {
  Name     = "BackupDatabase"
  Client   = BaculaDirectorClient
  Type     = "Backup"
  FileSet  = "Catalog"
  Storage  = Iron-Autochanger
  Schedule = EveryTwoDays
  Messages = JoesMail
  
  Spool Data = yes # Spool data or dont on the sd
  SpoolSize = 10737418240
  
  Reschedule Interval = 12 hours
  Reschedule On Error = yes
  Reschedule Times = 3
 
  Pool = Full-Pool # required parameter for all Jobs, despite what appears in the next few lines
 
  Full         Backup Pool = Full-Pool
  Differential Backup Pool = Diff-Pool
  Incremental  Backup Pool = Incr-Pool
}

# Bacula config Backup
FileSet {
  Name    = "MyFirstFileSet"
  Include {
    Options {
      signature=MD5
    }
    File = /etc/bacula/
  }
  Exclude {
    File = *~
  }
}

# This is the backup of the catalog
FileSet {
  Name = "Catalog"
  Include {
    Options {
      signature = MD5
    }
    File = "/var/lib/postgresql/12/main"
  }
}
